Основное API
Купить энергию
Покупка энергии для адреса TRON
POST
/
api
/
v1
/
energy
/
buy
Купить энергию
curl --request POST \
--url https://api.example.com/api/v1/energy/buy \
--header 'Content-Type: application/json' \
--data '
{
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/energy/buy"
payload = {
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({target_address: '<string>', volume: 123, duration: '<string>'})
};
fetch('https://api.example.com/api/v1/energy/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"txid": {},
"price_trx": "<string>",
"reclaim_at": {},
"activation_cost_trx": "<string>"
}Купить энергию
Делегирует энергию на указанный адрес TRON. Стоимость списывается с баланса вашего аккаунта.Тело запроса
string
обязательно
Целевой адрес TRON (формат T…, 34 символа)
number
обязательно
Количество делегируемой энергии (мин. 32 000, макс. 5 000 000)
string
обязательно
Длительность аренды:
"1h" (только 1 час)Ответ
number
Уникальный идентификатор заказа
string
Статус заказа:
pending, filled, failedstring | null
Идентификатор on-chain транзакции после broadcast делегирования (null пока
pending)string
Сумма, списанная с баланса, в TRX
string | null
ISO 8601 время отзыва BW (энергия отзывается автоматически на стороне провайдера)
string
Стоимость активации адреса в TRX (
"0" если адрес уже активирован)Пример
curl -X POST https://api.tronrental.com/v1/energy/buy \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 65000,
"duration": "1h"
}'
import requests
resp = requests.post(
"https://api.tronrental.com/v1/energy/buy",
headers={"X-API-Key": "your_api_key"},
json={
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 65000,
"duration": "1h",
},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/energy/buy", {
method: "POST",
headers: {
"X-API-Key": "your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify({
target_address: "TYourRecipientAddress1234567890abc",
volume: 65000,
duration: "1h",
}),
});
console.log(await resp.json());
Response
{
"id": 12345,
"price_trx": "2.75",
"status": "pending"
}
65 000 энергии покрывает один перевод USDT на адрес, который уже содержит USDT.
Используйте 131 000 для первого получения USDT (создание нового слота хранения).
⌘I
Купить энергию
